using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Topic_Delete2:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-6-5 23:08:56
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("删除贴子提交","网站页面","删除贴子提交",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();


	ID=Convert.ToInt32(Request.QueryString["ID"]);
	BID=Convert.ToInt32(Request.QueryString["BID"]);
	论坛版块=常用.获取版块(BID);
	访问.验证会员();
	生成贴子内容();
	删除贴子(ID);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""删除贴子提交"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"



删除贴子成功<br/>
<a href=""Board.aspx?ID=");

		返回值.Append(论坛版块["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回");

		返回值.Append(Server.HtmlEncode(论坛版块["版块名称"].ToString()));
		返回值.Append(@"</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"





</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

	private int BID;
	private int ID;
	private DataRow 论坛版块;
	private String 标题;
	private DataSet 论坛版主;
	private void 获取论坛版主()
	{
		论坛版主=new DataSet();
		SqlCommand 语句=new SqlCommand("SELECT * FROM ["+程序.数据表前缀+"社区_论坛_版主] WHERE [所属版块]="+BID+" ORDER BY [创建时间]",访问.连接);
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(论坛版主,"论坛版主");
	}
	private bool 是否版主()
	{
		if(论坛版主==null)
			获取论坛版主();
		bool 返回值=false;
		for(int i=0;i<论坛版主.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(论坛版主.Tables[0].Rows[i]["版主ID"])==Convert.ToInt32(访问.用户["ID"]))
				返回值=true;
		return 返回值;
	}
	private void 生成贴子内容()
	{
		SqlCommand 语句=new SqlCommand("SELECT [标题],[作者ID] FROM ["+程序.数据表前缀+"社区_论坛_贴子] WHERE [ID]="+ID+" AND [所属版块]="+BID,访问.连接);
		SqlDataReader 读取=语句.ExecuteReader();
		if(读取.Read())
		{
			标题=读取["标题"].ToString();
			int 作者ID=Convert.ToInt32(读取["作者ID"]);
			读取.Close();
			if(作者ID!=Convert.ToInt32(访问.用户["ID"])&&
				(!是否版主()))
				throw new Exception("没有管理权限");
		}
		else
		{
			读取.Close();
			throw new Exception("贴子不存在");
		}
	}
    private void 删除贴子(int ID)
    {
        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_论坛_贴子] SET [是否删除]=@是否删除 WHERE [ID]=@ID", 访问.连接);
        语句.Parameters.Add("@是否删除", SqlDbType.Bit).Value = true;
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ID;
        语句.ExecuteNonQuery();
    }
}